\newpage

\subsection{Service 128: Position Management}

\begin{description}
	\item[Objective]\hfill\\
	
	This service provides the capability to report the current position of the spacecraft. Reported positions can be used for the position tracking of the spacecraft and for setting the position for the position-based scheduling (Service 22).
	
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 128,1 & Set the position report generation rate\\
			\rowcolor{TmHeader!20}TM & 128,2 & Position report\\
			\bottomrule
		\end{tabular}
		\caption{Service 128 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 128,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{128,1} & \textbf{Set the position report generation rate}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC changes the rate used for the report generation of position reports.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 128 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Rate Exponential Value\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(128,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Rate Exponential Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The exponential value representation of the rate used for the report generation where\newline $position\ report\ generation\ rate = 2^{rate\ exponential\ value}$\newline The maximum value is 8. Every $2^{rev}$th telemetry frame causes the generation of a time report.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If any other value than the ones specified above are used in the corresponding field the application data field becomes invalid.	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 128,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{128,2} & \textbf{Position report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the current position of the spacecraft.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 128 \\
		
		Service Subtype & 2 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			&\multicolumn{2}{c|}{\cellcolor{TmHeader!85}Spacecraft Position}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\cellcolor{TmHeader!85} \parbox{0.23\textwidth}{Rate Exponential\newline Value}} & Orbit No. & Pos..\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned Integer & Unsigned Integer & Real \\
			\hline
			\rowcolor{TmBody}
			8 Bit & 16 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(128,2)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Rate Exponential Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 & PFC=4 \end{tabular} & The exponential value representation of the rate used for the generation where \newline $position\ report\ generation\ rate = 2^{rate\ exponential\ value}$\newline The maximum value is 8. Every $2^{rev}$th telemetry frame causes the generation of a time report.\\
		&\\
		\textbf{Spacecraft Position}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} No.:& PTC=3& PFC=12\\ Pos.:& PTC=5& PFC=2 \end{tabular} & The current position of the spacecraft. It consists of the orbit number and the position within this orbit.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If any other value than the ones specified above are used in the corresponding field the application data field becomes invalid.		
	
\end{description}

\vfill
